Get Step Sender
curl --request GET \
--url https://api.lemlist.com/api/sequences/{sequenceId}/steps/{stepId}/sender \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/sequences/{sequenceId}/steps/{stepId}/sender"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/sequences/{sequenceId}/steps/{stepId}/sender', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/sequences/{sequenceId}/steps/{stepId}/sender")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/sequences/{sequenceId}/steps/{stepId}/sender",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"sequenceId": "seq_A1b2C3d4E5f6G7h8J",
"stepId": "stp_A1b2C3d4E5f6G7h8I",
"stepType": "email",
"sender": {
"userId": "usr_A1b2C3d4E5f6G7h8K",
"channel": {
"type": "email",
"id": "usm_A1b2C3d4E5f6G7h8L",
"alias": "john@example.com"
}
}
}
}{
"error": "Wrong param id",
"code": "WRONG_PARAM_ID"
}The authentication you supplied is incorrectroute is available starting emailPro plan{
"error": "Step not found",
"code": "SEQUENCE_STEP_NOT_FOUND"
}{
"error": "Route bad method",
"code": "ROUTE_BAD_METHOD"
}Sequences
Get Step Sender
Returns the forced sender of a step.
GET
/
sequences
/
{sequenceId}
/
steps
/
{stepId}
/
sender
Get Step Sender
curl --request GET \
--url https://api.lemlist.com/api/sequences/{sequenceId}/steps/{stepId}/sender \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/sequences/{sequenceId}/steps/{stepId}/sender"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/sequences/{sequenceId}/steps/{stepId}/sender', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/sequences/{sequenceId}/steps/{stepId}/sender")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/sequences/{sequenceId}/steps/{stepId}/sender",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"sequenceId": "seq_A1b2C3d4E5f6G7h8J",
"stepId": "stp_A1b2C3d4E5f6G7h8I",
"stepType": "email",
"sender": {
"userId": "usr_A1b2C3d4E5f6G7h8K",
"channel": {
"type": "email",
"id": "usm_A1b2C3d4E5f6G7h8L",
"alias": "john@example.com"
}
}
}
}{
"error": "Wrong param id",
"code": "WRONG_PARAM_ID"
}The authentication you supplied is incorrectroute is available starting emailPro plan{
"error": "Step not found",
"code": "SEQUENCE_STEP_NOT_FOUND"
}{
"error": "Route bad method",
"code": "ROUTE_BAD_METHOD"
}A forced sender requires at least the Email Pro plan.
sender when the step uses the sender strategy of the
campaign. The sender has the shape of the
Set Step Sender body.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the sequence
The unique identifier of the step
Response
Success
The forced sender of a step.
Show child attributes
Show child attributes
Was this page helpful?